
#import <appkit/appkit.h>

#import "GraphRight_API.h"
#import "GraphRightClient.h"

@implementation GraphRightClient

- appDidInit:sender
{
    BOOL didLaunch =[[Application workspace] launchApplication:"GraphRight.app"];
    return self;
}

- connectToServer:sender
{
    const char *serverHostname = [hostName stringValue];

    grServer = [NXConnection connectToName:"GraphRightServer"
	                            onHost:serverHostname];

    if(!grServer)
    {
	[messageFromServerField setStringValue:"No GraphRight Server Found"];
	return self;
    }
    else
    {
	[messageFromServerField setStringValue:"GraphRight Server Found"];
    }
    
    
    return self;
}

- sendValue:sender
{
    id notebook = NULL;
    id listOfNotebooks = NULL;
    int count;
    const char *cellContents = [cellValue stringValue];
    int r = [row intValue];
    int c = [col intValue];

    listOfNotebooks = [grServer GR_currentNotebooks];
    count = [listOfNotebooks count];

    if(count < 1) /* if there are no notebooks create a new one */
	notebook = [grServer GR_createNewNotebook];
    else /* just grab the first one */
	notebook = [listOfNotebooks objectAt:0];

    if(!notebook)
    {
	[messageFromServerField setStringValue:"Unable to connect to a notebook"];
	return self;
    }

    [notebook GR_setCell:r :c string:cellContents];
    
    return self;
}


@end
