
@protocol GraphDocumentServer

- (const char *)GR_graphPageName;
- (int)GR_numberOfGraphs;
- (int)GR_setGraphPageFrame:(NXRect *)newFrame;
- (int)GR_setPaperOrientation:(char)mode;
- GR_importImage:(const char *)imagePath :(float)x :(float)y;
/* location is the bottom left corner
 * x and y are in inches
 * returns the image that was created
 */

- GR_setRichText:(char *)data
       andPlaceAt:(float)x
                 :(float)y
       allowWidth:(float)width;

/* location is the top left corner
 * width is how wide the text is allowed to be, in inches
 * returns the text object that is created
 * if Width == 0, then the width of the first line is used
 * as the ruler width
 */

- (int)GR_setGraphicSize:(NXSize *)newSize
              forGraphic:grapic;
- (int)GR_setGraphicLocation:(float *)horizontalOffset
                            :(float *)verticalOffset
                  forGraphic:grapic;
- (int)GR_setLabelFont:(Font *)newFont forAxis:(enum axisLocation)where;
- (int)GR_setLabelPreString:(const char *)string forAxis:(enum axisLocation)where;
- (int)GR_setLabelPostString:(const char *)string forAxis:(enum axisLocation)where;
- (int)GR_setOrientationVertical:(BOOL)vertical inGraph:graph;

- (int)GR_print:(BOOL)showPanel;
- (int)GR_writePageToEPS:(const char *)fileName;
- (int)GR_writePageToTIFF:(const char *)fileName;
- (int)GR_NXImageForPage:receiver;

@end
