
@protocol NotebookServer

- (int)GR_importASCIIFile:(const char *)filename;
- (int)GR_writeToASCIIFile:(const char *)filename;
- (int)GR_setCell:(int)r :(int)c string:(in const char *)string;
- (int)GR_setCell:(int)r :(int)c val:(in float)val;
- (int)GR_setCellinDataSet:(const char *)dataSet
                 withLabel:(const char *)dataLabel
                     value:(float)val;
- (int)GR_setCells:(NXData *)data;

- (int)GR_setSeriesTitle:(const char *)title forSeries:(int)n;

- (int)GR_selectRange:(GRAddress)tl bottom:(GRAddress)br;
- (int)GR_selectAll;

- (int)GR_setSize:(int)rows :(int)cols;

- GR_createGraphType:(int)graphType;
- GR_addGraphType:(int)graphType to:(const char*)graphName;

- GR_getGraphWithName:(const char*)graphName;
- GR_getGraphs;
- (int)GR_setPath:(const char *)path;
- (const char*)GR_filename;

- (int)GR_getCell:(GRCell *)dataCell;

- (int)GR_save;
- GR_close;
- GR_miniaturizeDocument;
- GR_maximiseDocument;
- (int)GR_makeFront;

/* Below method ONLY VALID if client and server are on the SAME machine */
- (int)GR_pasteDataFromNamedPasteBoard:(const char *)pasteboardName;

@end
